### Method

# Json Parser load_from_mapped_file

since: 1.6

#### Declaration [src]

    gboolean
    json_parser_load_from_mapped_file (
      JsonParser* parser,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Loads a JSON stream from the content of `filename` and parses it.

Unlike `json_parser_load_from_file()`, `filename` will be memory mapped as read-only and parsed. `filename` will be unmapped before this function returns.

If mapping or reading the file fails, a `G_FILE_ERROR` will be returned.

Available since: 1.6

#### Parameters

`filename`

  Type: `const gchar*`

  The path for the file to parse.

  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file was successfully loaded and parsed.